## org.apache.tools.ant
Class Main

    java.lang.Object
      org.apache.tools.ant.Main

public class Main
extends java.lang.Object

Command line entry point into Ant. This class is entered via the cannonical `public static void main` entry point and reads the command line arguments. It then assembles and executes an Ant project.

If you integrating Ant into some other tool, this is not the class to use as an entry point. Please see the source code of this class to see how it manipulates the Ant project classes.

Author:
  duncan@x180.com

Field Summary
`static java.lang.String` `DEFAULT_BUILD_FILENAME` The default build file name.

Constructor Summary
`protected` `Main(java.lang.String[] args)` Sole constructor, which parses and deals with command line arguments.

Method Summary
`protected void` `addBuildListeners(Project project)` Adds the listeners specified in the command line arguments, along with the default listener, to the specified project.
`static java.lang.String` `getAntVersion()` Returns the Ant version information, if available.
`static void` `main(java.lang.String[] args)` Command line entry point.
`static void` `start(java.lang.String[] args, java.util.Properties additionalUserProperties, java.lang.ClassLoader coreLoader)` Creates a new instance of this class using the arguments specified, gives it any extra user properties which have been specified, and then runs the build using the classloader provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUILD_FILENAME

    public static final java.lang.String DEFAULT_BUILD_FILENAME

  The default build file name.

  See Also:
    Constant Field Values

Constructor Detail

### Main

    protected Main(java.lang.String[] args)
            throws BuildException

  Sole constructor, which parses and deals with command line arguments.

Parameters:
  `args` - Command line arguments. Must not be `null`.
Throws:
  `BuildException` - if the specified build file doesn't exist or is a directory.

Method Detail

### start

    public static void start(java.lang.String[] args,
                             java.util.Properties additionalUserProperties,
                             java.lang.ClassLoader coreLoader)

  Creates a new instance of this class using the arguments specified, gives it any extra user properties which have been specified, and then runs the build using the classloader provided.

  Parameters:
    `args` - Command line arguments. Must not be `null`.
    `additionalUserProperties` - Any extra properties to use in this build. May be `null`, which is the equivalent to passing in an empty set of properties.
    `coreLoader` - Classloader used for core classes. May be `null` in which case the system classloader is used.

### main

    public static void main(java.lang.String[] args)

  Command line entry point. This method kicks off the building of a project object and executes a build using either a given target or the default target.

  Parameters:
    `args` - Command line arguments. Must not be `null`.

### addBuildListeners

    protected void addBuildListeners(Project project)

  Adds the listeners specified in the command line arguments, along with the default listener, to the specified project.

  Parameters:
    `project` - The project to add listeners to. Must not be `null`.

### getAntVersion

    public static java.lang.String getAntVersion()
                                          throws BuildException

  Returns the Ant version information, if available. Once the information has been loaded once, it's cached and returned from the cache on future calls.

  Returns:
    the Ant version information as a String (always non-`null`)
  Throws:
    `BuildException` - if the version information is unavailable

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.